Package org.eclipse.ui.handlers

## Class ShowPerspectiveHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.ui.handlers.ShowPerspectiveHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`

    public final class ShowPerspectiveHandler
    extends AbstractHandler

Shows the given perspective. If no perspective is specified in the parameters, then this opens the perspective selection dialog.

Since:
  3.1

### Constructor Summary

Constructors
`ShowPerspectiveHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `execute​(ExecutionEvent event)` Executes with the map of parameter values by name.

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowPerspectiveHandler

    public ShowPerspectiveHandler()

### Method Detail

#### execute

    public Object execute​(ExecutionEvent event)
                   throws ExecutionException

Description copied from interface: `IHandler`
Executes with the map of parameter values by name.

Parameters:
  `event` - An event containing all the information about the current state of the application; must not be `null`.
Returns:
  the result of the execution. Reserved for future use, must be `null`.
Throws:
  `ExecutionException` - if an exception occurred during execution.